#!/usr/bin/env python
import sys
from datetime import datetime
from subprocess import call
from string import punctuation

TEMPLATE = """
Title: {title}
Date: {year}-{month}-{day} {hour}:{minute:02d}
Author: craig
Tags: A day in the life
Slug: {slug}
Status: published

"""


def slugify(slug):
    slug = slug.lower()
    slug = slug.strip()
    slug = slug.translate(None, punctuation)
    slug = slug.replace(' ', '-')
    return slug


def make_entry(title):
    today = datetime.today()
    slug = slugify(title)
    f_create = "/home/craig/projects/pelican/decafbad/content/{}_{:0>2}_{:0>2}_{}.md".format(
        today.year, today.month, today.day, slug)
    t = TEMPLATE.strip().format(title=title,
                                hashes='#' * len(title),
                                year=today.year,
                                month=today.month,
                                day=today.day,
                                hour=today.hour,
                                minute=today.minute,
                                slug=slug)
    with open(f_create, 'w') as w:
        w.write(t)
    print("File created -> " + f_create)
    call(['vim', f_create])


if __name__ == '__main__':

    if len(sys.argv) > 1:
        make_entry(sys.argv[1])
    else:
        print "No title given"
